ciao a tutti, avrei questo problema, che e' uscito da circa un giorno, ma circa una settimana dopo aver installato google chrome scaricando il pacchetto .deb direttamente da google. Il problema si presenta andando a aggiornare la lista dei paccehtti e mi dice questo:

Impossibile recuperare http://dl.google.com/linux/chrome/deb/dists/stable/Release Impossibile trovare la voce "main/binary-i386/Packages" nel file Release (voce in sources.list errata o file danneggiato)
Impossibile scaricare alcuni file di indice: saranno ignorati o verranno usati quelli vecchi.

come posso fare?

grazie e un saluto a tutti

chiesto 05 Mar '16, 00:12

alfcorp's gravatar image

alfcorp
642919

modificato 05 Mar '16, 14:44

dadexix86's gravatar image

dadexix86 ♦♦
16.9k816161

purtroppo per la versione di chrome a 32 bit non sono più disponibili aggiornamenti. Conviene installare chromium, oppure lasciare chrome così com'è.

(05 Mar '16, 01:43) Anto Anto's gravatar image

grazie della risposta, io pero' ho installato la versione a 64 bit, forse colpa di un metapacchetto? (solamente un ipotesi)

grazie

(05 Mar '16, 09:44) alfcorp alfcorp's gravatar image

Può darsi, la voce "main/binary-i386/Packages" ha a che fare con la versione a 32 bit. Ti posto questa soluzione: http://forum.ubuntu-it.org/viewtopic.php?f=30&t=608532

(05 Mar '16, 10:30) Anto Anto's gravatar image

Grazie mille!

ho risolto con questo link (in inglese)

http://www.webupd8.org/2016/03/fix-failed-to-fetch-google-chrome_3.html

Discussione affrontata nel forum, in pratica, hanno terminato il supporto 32 bit ma non e' stato corretto il file di aggiornamento

ciao!

coll. permanente

ha risposto 05 Mar '16, 12:03

alfcorp's gravatar image

alfcorp
642919

modificato 05 Mar '16, 12:05

Sembrerebbe che Google non supporta più Chrome nella versione a 32 bit. A mio avviso ti restanon due possibilità.

  1. Se hai una distro a 64 bit, allora puoi aggiornare i repo modificando in

    /etc/apt/sources.list.d/google-chrome
    

    da

    deb http.....
    

    in

    deb [arch=amd64] http....
    

    A seconda della version di chrome che hai e in quale directory hai la Lista, puoi usare un comando del tipo (adattandolo alla tua configurazione, evidentemente)

    sudo sed -i -e 's/deb http/deb [arch=amd64] http/' "/etc/apt/sources.list.d/google-chrome.list
    

    (un grazie a Adam Gunklach).

  2. Disinstallare Google Chrome con

    sudo apt-get purge google-chrome*
    

    e rimuovere il repo di google con

    sudo rm google-chrome.list*
    

    e usare un altro browser che ti consente di navigare sicuro. E se ciò non bastasse, puoi cercare di disinstallarlo a mano con

    sudo dpkg --purge google-chrome-*
    
coll. permanente

ha risposto 05 Mar '16, 12:21

Ab3L's gravatar image

Ab3L
201

modificato 05 Mar '16, 14:41

dadexix86's gravatar image

dadexix86 ♦♦
16.9k816161

Per favore non inventiamoci la sintassi a caso, ma usiamo il markdown come da istruzioni della piattaforma (correggo la risposta)

Nota anche se il comando sudo rm ... molto probabilmente darà errore, dicendo che non trova il file google-chrome.list.
Conviene sempre dare dei percorsi assoluti quando si suggeriscono questi comandi, perché da un lato non si dove l'utente dà il comando (e lo darà nella sua home, dato che non c'è scritto di spostarsi nella cartella dei sorgenti di apt) e dall'altro è possibile che quel file nella home sia qualcosa di completamente diverso e importante.

(05 Mar '16, 14:38) dadexix86 ♦♦ dadexix86's gravatar image
La tua risposta
abilita/disabilita anteprima

Segui questa domanda

Via email:

Una volta eseguito l'accesso potrai iscriverti a tutti gli aggiornamenti qui

Via RSS:

Risposte

Risposte e commenti

Basi di markdown

  • *corsivo* o __corsivo__
  • **grassetto** o __grassetto__
  • collegamento:[testo](http://url.com/ "titolo")
  • immagine?![alt testo](/path/img.jpg "titolo")
  • elenco numerato: 1. Foo 2. Bar
  • per aggiungere un'interruzione di riga, aggiungi due spazi a fine riga e premi «Invio»
  • è supportato anche semplice HTML

Tag:

×41
×6

domanda posta: 05 Mar '16, 00:12

domanda visualizzata: 2,680 volte

ultimo aggiornamento: 05 Mar '16, 14:48

Chiedi è un servizio di supporto gestito da Ubuntu-it. Contattaci!

powered by OSQAPostgreSQL database
Ubuntu e Canonical sono marchi registrati da Canonical Ltd.